Package: org.codehaus.groovy.classgen

## [Java] Class InnerClassVisitorHelper

- org.codehaus.groovy.classgen.InnerClassVisitorHelper

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected static void` | `addFieldInit(Parameter p, FieldNode fn, BlockStatement block)`
    `` | `protected static ClassNode` | `getClassNode(ClassNode node, boolean isStatic)`
    `` | `protected static int` | `getObjectDistance(ClassNode node)`
    `` | `protected static boolean` | `isStatic(InnerClassNode node)`
    `` | `protected static void` | `setMethodDispatcherCode(BlockStatement block, Expression thiz, Parameter[] parameters)`
    `` | `protected static void` | `setPropertyGetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)`
    `` | `protected static void` | `setPropertySetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)`
    `` | `protected static boolean` | `shouldHandleImplicitThisForInnerClass(ClassNode cn)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class ClassCodeVisitorSupport`

    `addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`

    `class CodeVisitorSupport`

    `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### protected static void addFieldInit(Parameter p, FieldNode fn, BlockStatement block)

    - #### protected static ClassNode getClassNode(ClassNode node, boolean isStatic)

    - #### protected static int getObjectDistance(ClassNode node)

    - #### protected static boolean isStatic(InnerClassNode node)

    - #### protected static void setMethodDispatcherCode(BlockStatement block, Expression thiz, Parameter[] parameters)

    - #### protected static void setPropertyGetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)

    - #### protected static void setPropertySetterDispatcher(BlockStatement block, Expression thiz, Parameter[] parameters)

    - #### protected static boolean shouldHandleImplicitThisForInnerClass(ClassNode cn)